Bug 1380164 - [abrt] converseen: QString::length(): converseen killed by SIGSEGV [NEEDINFO]
Summary: [abrt] converseen: QString::length(): converseen killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: converseen
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Santagiuliana
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:351507d663e867285a035961540...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-28 20:08 UTC by Miguel Aguilar
Modified: 2016-11-20 18:53 UTC (History)
3 users (show)

Fixed In Version: converseen-0.9.5.2-1.fc24 converseen-0.9.5.2-1.fc25 converseen-0.9.5.2-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-12 23:55:09 UTC
rosset.filipe: needinfo? (jmaguilar)


Attachments (Terms of Use)
File: backtrace (77.86 KB, text/plain)
2016-09-28 20:08 UTC, Miguel Aguilar
no flags Details
File: cgroup (242 bytes, text/plain)
2016-09-28 20:08 UTC, Miguel Aguilar
no flags Details
File: core_backtrace (7.77 KB, text/plain)
2016-09-28 20:08 UTC, Miguel Aguilar
no flags Details
File: dso_list (32.16 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: environ (1.56 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: exploitable (110 bytes, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: maps (135.90 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: mountinfo (3.47 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: open_fds (1.71 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details
File: var_log_messages (427 bytes, text/plain)
2016-09-28 20:09 UTC, Miguel Aguilar
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Faster3ck Converseen issues 31 None None None 2016-09-28 21:20:29 UTC

Description Miguel Aguilar 2016-09-28 20:08:44 UTC
Version-Release number of selected component:
converseen-0.9.5.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        converseen
crash_function: QString::length
executable:     /usr/bin/converseen
global_pid:     3156
kernel:         4.7.4-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QString::length at ../../src/corelib/tools/qstring.h:866
 #1 replaceArgEscapes at tools/qstring.cpp:7232
 #2 QString::arg at tools/qstring.cpp:7354
 #3 MainWindowImpl::showImageInformations at /usr/src/debug/converseen-0.9.5.1/src/mainwindowimpl.cpp:714
 #4 MainWindowImpl::qt_static_metacall at /usr/src/debug/converseen-0.9.5.1/x86_64-redhat-linux-gnu/src/moc_mainwindowimpl.cpp:214
 #5 QMetaObject::activate at kernel/qobject.cpp:3730
 #7 myLabelPreviewer::previewReady at /usr/src/debug/converseen-0.9.5.1/x86_64-redhat-linux-gnu/src/moc_mylabelpreviewer.cpp:140
 #8 myLabelPreviewer::showPreview at /usr/src/debug/converseen-0.9.5.1/src/mylabelpreviewer.cpp:57
 #9 myLabelPreviewer::qt_static_metacall at /usr/src/debug/converseen-0.9.5.1/x86_64-redhat-linux-gnu/src/moc_mylabelpreviewer.cpp:84
 #10 QObject::event at kernel/qobject.cpp:1256

Comment 1 Miguel Aguilar 2016-09-28 20:08:53 UTC
Created attachment 1205648 [details]
File: backtrace

Comment 2 Miguel Aguilar 2016-09-28 20:08:54 UTC
Created attachment 1205649 [details]
File: cgroup

Comment 3 Miguel Aguilar 2016-09-28 20:08:58 UTC
Created attachment 1205650 [details]
File: core_backtrace

Comment 4 Miguel Aguilar 2016-09-28 20:09:00 UTC
Created attachment 1205651 [details]
File: dso_list

Comment 5 Miguel Aguilar 2016-09-28 20:09:02 UTC
Created attachment 1205652 [details]
File: environ

Comment 6 Miguel Aguilar 2016-09-28 20:09:03 UTC
Created attachment 1205653 [details]
File: exploitable

Comment 7 Miguel Aguilar 2016-09-28 20:09:04 UTC
Created attachment 1205654 [details]
File: limits

Comment 8 Miguel Aguilar 2016-09-28 20:09:06 UTC
Created attachment 1205655 [details]
File: maps

Comment 9 Miguel Aguilar 2016-09-28 20:09:07 UTC
Created attachment 1205656 [details]
File: mountinfo

Comment 10 Miguel Aguilar 2016-09-28 20:09:08 UTC
Created attachment 1205657 [details]
File: namespaces

Comment 11 Miguel Aguilar 2016-09-28 20:09:09 UTC
Created attachment 1205658 [details]
File: open_fds

Comment 12 Miguel Aguilar 2016-09-28 20:09:10 UTC
Created attachment 1205659 [details]
File: proc_pid_status

Comment 13 Miguel Aguilar 2016-09-28 20:09:12 UTC
Created attachment 1205660 [details]
File: var_log_messages

Comment 14 Filipe Rosset 2016-09-28 21:18:48 UTC
Miguel, are you able to reproduce this issue? If yes, please provide detailed steps. Thanks.

Comment 15 Fedora Update System 2016-11-04 02:20:45 UTC
converseen-0.9.5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2de5ab4a64

Comment 16 Fedora Update System 2016-11-04 02:20:59 UTC
converseen-0.9.5.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02e40b6367

Comment 17 Fedora Update System 2016-11-04 02:21:07 UTC
converseen-0.9.5.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eee26ed6c5

Comment 18 Fedora Update System 2016-11-05 03:35:37 UTC
converseen-0.9.5.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02e40b6367

Comment 19 Fedora Update System 2016-11-05 03:46:57 UTC
converseen-0.9.5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2de5ab4a64

Comment 20 Fedora Update System 2016-11-05 19:00:18 UTC
converseen-0.9.5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eee26ed6c5

Comment 21 Fedora Update System 2016-11-06 01:53:24 UTC
converseen-0.9.5.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2de5ab4a64

Comment 22 Fedora Update System 2016-11-12 23:55:09 UTC
converseen-0.9.5.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-11-19 21:11:26 UTC
converseen-0.9.5.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-11-20 18:53:26 UTC
converseen-0.9.5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.